Package fr.gouv.vitam.access.internal.rest

# Class LogbookInternalResourceImpl

java.lang.Object
fr.gouv.vitam.access.internal.rest.LogbookInternalResourceImpl

@Path("/access-internal/v1") @Consumes("application/json") @Produces("application/json") @ApplicationPath("webresources") public class LogbookInternalResourceImpl extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `downloadTraceabilityOperation(String operationId)`
  `jakarta.ws.rs.core.Response`
  `getObjectGroupLifeCycleById(String objectGroupLifeCycleId, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  gets the object group life cycle based on its id
  `jakarta.ws.rs.core.Response`
  `getOperationById(String operationId, com.fasterxml.jackson.databind.JsonNode queryDsl, boolean sliced, boolean crossTenant)`
  `jakarta.ws.rs.core.Response`
  `getUnitLifeCycleById(String unitLifeCycleId, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  gets the unit life cycle based on its id
  `jakarta.ws.rs.core.Response`
  `linkedCheckOperationTraceability(com.fasterxml.jackson.databind.JsonNode query)`
  `jakarta.ws.rs.core.Response`
  `selectOperation(com.fasterxml.jackson.databind.JsonNode query, boolean sliced, boolean crossTenant)`
  GET with request in body

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getOperationById

    @GET @Path("/operations/{id_op}") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getOperationById(@PathParam("id_op") String operationId, com.fasterxml.jackson.databind.JsonNode queryDsl, @HeaderParam("X-Sliced-Operations") boolean sliced, @HeaderParam("X-Cross-Tenant") boolean crossTenant)
    Parameters:
      `operationId` - the operation id
      `queryDsl` - the query
    Returns:
      the response with a specific HTTP status

  - ### selectOperation

    @GET @Path("/operations") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response selectOperation(com.fasterxml.jackson.databind.JsonNode query, @HeaderParam("X-Sliced-Operations") boolean sliced, @HeaderParam("X-Cross-Tenant") boolean crossTenant)
    GET with request in body
    Parameters:
      `query` - DSL as String
    Returns:
      Response contains a list of logbook operation

  - ### getUnitLifeCycleById

    @GET @Path("/unitlifecycles/{id_lc}") @Produces("application/json") public jakarta.ws.rs.core.Response getUnitLifeCycleById(@PathParam("id_lc") String unitLifeCycleId, com.fasterxml.jackson.databind.JsonNode queryDsl)
    gets the unit life cycle based on its id
    Parameters:
      `unitLifeCycleId` - the unit life cycle id
      `queryDsl` - the query
    Returns:
      the unit life cycle

  - ### getObjectGroupLifeCycleById

    @GET @Path("/objectgrouplifecycles/{id_lc}") @Produces("application/json") public jakarta.ws.rs.core.Response getObjectGroupLifeCycleById(@PathParam("id_lc") String objectGroupLifeCycleId, com.fasterxml.jackson.databind.JsonNode queryDsl)
    gets the object group life cycle based on its id
    Parameters:
      `objectGroupLifeCycleId` - the object group life cycle id
      `queryDsl` - the query
    Returns:
      the object group life cycle

  - ### linkedCheckOperationTraceability

    @POST @Path("/traceability/linkedcheck") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response linkedCheckOperationTraceability(com.fasterxml.jackson.databind.JsonNode query)

  - ### downloadTraceabilityOperation

    @GET @Path("/traceability/{idOperation}/content") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response downloadTraceabilityOperation(@PathParam("idOperation") String operationId)
    Parameters:
      `operationId` -
    Returns:
      traceability operation stream